<html>
<head>
<title>OGRE: Ogre::SceneManager::ShadowCasterSceneQueryListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>::<a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html">ShadowCasterSceneQueryListener</a></div>
<h1>Ogre::SceneManager::ShadowCasterSceneQueryListener Class Reference</h1><!-- doxytag: class="Ogre::SceneManager::ShadowCasterSceneQueryListener" --><!-- doxytag: inherits="Ogre::SceneQueryListener" -->Inner class to use as callback for shadow caster scene query.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::SceneManager::ShadowCasterSceneQueryListener:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#0ee39ebee8358732e1ccad9d93d5a58e">ShadowCasterSceneQueryListener</a> (<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *sm)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#1c41f4f880c9ee86cab22d72bd7e4487">prepare</a> (bool lightInFrustum, const <a class="el" href="namespaceOgre.html#f6bda7879d1ac92561a02cbd1833e1b1">PlaneBoundedVolumeList</a> *lightClipVolumes, const <a class="el" href="classOgre_1_1Light.html">Light</a> *light, const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam, <a class="el" href="classOgre_1_1SceneManager.html#25fa6eff947e61a00179e65b7a466100">ShadowCasterList</a> *casterList, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> farDistSquared)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#e5790f3c5368f8157c72a2d4092e67c6">queryResult</a> (<a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *object)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called when a <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> is returned by a query.  <a href="#e5790f3c5368f8157c72a2d4092e67c6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#3ed87926c960fcea5fa701b61c92cd2c">queryResult</a> (<a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *fragment)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called when a WorldFragment is returned by a query.  <a href="#3ed87926c960fcea5fa701b61c92cd2c"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#616f9955cc0621a38f1db12549f2aff6">mSceneMgr</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html#25fa6eff947e61a00179e65b7a466100">ShadowCasterList</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#81e7dff0e7e785b3a04395f047b83789">mCasterList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#faede03e276bd3bcaa8ee730a707da81">mIsLightInFrustum</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <br>
<a class="el" href="namespaceOgre.html#f6bda7879d1ac92561a02cbd1833e1b1">PlaneBoundedVolumeList</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#63ba610cc309ef74503858e1f109c2b2">mLightClipVolumeList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#eceeb0647c43683a3cd63bac67683608">mCamera</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Light.html">Light</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#fdb68b6d7f99e91e9a0d3869e61ef741">mLight</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#50790e5cf103d4fe074336f8112323b6">mFarDistSquared</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Inner class to use as callback for shadow caster scene query. 
<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00688">688</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="0ee39ebee8358732e1ccad9d93d5a58e"></a><!-- doxytag: member="Ogre::SceneManager::ShadowCasterSceneQueryListener::ShadowCasterSceneQueryListener" ref="0ee39ebee8358732e1ccad9d93d5a58e" args="(SceneManager *sm)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::SceneManager::ShadowCasterSceneQueryListener::ShadowCasterSceneQueryListener           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td>
          <td class="paramname"> <em>sm</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00699">699</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="1c41f4f880c9ee86cab22d72bd7e4487"></a><!-- doxytag: member="Ogre::SceneManager::ShadowCasterSceneQueryListener::prepare" ref="1c41f4f880c9ee86cab22d72bd7e4487" args="(bool lightInFrustum, const PlaneBoundedVolumeList *lightClipVolumes, const Light *light, const Camera *cam, ShadowCasterList *casterList, Real farDistSquared)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SceneManager::ShadowCasterSceneQueryListener::prepare           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>lightInFrustum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f6bda7879d1ac92561a02cbd1833e1b1">PlaneBoundedVolumeList</a> *&nbsp;</td>
          <td class="paramname"> <em>lightClipVolumes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Light.html">Light</a> *&nbsp;</td>
          <td class="paramname"> <em>light</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td>
          <td class="paramname"> <em>cam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html#25fa6eff947e61a00179e65b7a466100">ShadowCasterList</a> *&nbsp;</td>
          <td class="paramname"> <em>casterList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>farDistSquared</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00703">703</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e5790f3c5368f8157c72a2d4092e67c6"></a><!-- doxytag: member="Ogre::SceneManager::ShadowCasterSceneQueryListener::queryResult" ref="e5790f3c5368f8157c72a2d4092e67c6" args="(MovableObject *object)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::SceneManager::ShadowCasterSceneQueryListener::queryResult           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&nbsp;</td>
          <td class="paramname"> <em>object</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called when a <a class="el" href="classOgre_1_1MovableObject.html" title="Abstract class definining a movable object in a scene.">MovableObject</a> is returned by a query. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The implementor should return 'true' to continue returning objects, or 'false' to abandon any further results from this query. </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1SceneQueryListener.html#70936d2cd7413dd284faef05528ddb92">Ogre::SceneQueryListener</a>.</p>

</div>
</div><p>
<a class="anchor" name="3ed87926c960fcea5fa701b61c92cd2c"></a><!-- doxytag: member="Ogre::SceneManager::ShadowCasterSceneQueryListener::queryResult" ref="3ed87926c960fcea5fa701b61c92cd2c" args="(SceneQuery::WorldFragment *fragment)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::SceneManager::ShadowCasterSceneQueryListener::queryResult           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *&nbsp;</td>
          <td class="paramname"> <em>fragment</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called when a WorldFragment is returned by a query. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The implementor should return 'true' to continue returning objects, or 'false' to abandon any further results from this query. </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1SceneQueryListener.html#c17a072217f44693bb45ecbcd1623611">Ogre::SceneQueryListener</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="616f9955cc0621a38f1db12549f2aff6"></a><!-- doxytag: member="Ogre::SceneManager::ShadowCasterSceneQueryListener::mSceneMgr" ref="616f9955cc0621a38f1db12549f2aff6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* <a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#616f9955cc0621a38f1db12549f2aff6">Ogre::SceneManager::ShadowCasterSceneQueryListener::mSceneMgr</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00691">691</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="81e7dff0e7e785b3a04395f047b83789"></a><!-- doxytag: member="Ogre::SceneManager::ShadowCasterSceneQueryListener::mCasterList" ref="81e7dff0e7e785b3a04395f047b83789" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html#25fa6eff947e61a00179e65b7a466100">ShadowCasterList</a>* <a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#81e7dff0e7e785b3a04395f047b83789">Ogre::SceneManager::ShadowCasterSceneQueryListener::mCasterList</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00692">692</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="faede03e276bd3bcaa8ee730a707da81"></a><!-- doxytag: member="Ogre::SceneManager::ShadowCasterSceneQueryListener::mIsLightInFrustum" ref="faede03e276bd3bcaa8ee730a707da81" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#faede03e276bd3bcaa8ee730a707da81">Ogre::SceneManager::ShadowCasterSceneQueryListener::mIsLightInFrustum</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00693">693</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="63ba610cc309ef74503858e1f109c2b2"></a><!-- doxytag: member="Ogre::SceneManager::ShadowCasterSceneQueryListener::mLightClipVolumeList" ref="63ba610cc309ef74503858e1f109c2b2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f6bda7879d1ac92561a02cbd1833e1b1">PlaneBoundedVolumeList</a>* <a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#63ba610cc309ef74503858e1f109c2b2">Ogre::SceneManager::ShadowCasterSceneQueryListener::mLightClipVolumeList</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00694">694</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="eceeb0647c43683a3cd63bac67683608"></a><!-- doxytag: member="Ogre::SceneManager::ShadowCasterSceneQueryListener::mCamera" ref="eceeb0647c43683a3cd63bac67683608" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Camera.html">Camera</a>* <a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#eceeb0647c43683a3cd63bac67683608">Ogre::SceneManager::ShadowCasterSceneQueryListener::mCamera</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00695">695</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fdb68b6d7f99e91e9a0d3869e61ef741"></a><!-- doxytag: member="Ogre::SceneManager::ShadowCasterSceneQueryListener::mLight" ref="fdb68b6d7f99e91e9a0d3869e61ef741" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Light.html">Light</a>* <a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#fdb68b6d7f99e91e9a0d3869e61ef741">Ogre::SceneManager::ShadowCasterSceneQueryListener::mLight</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00696">696</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="50790e5cf103d4fe074336f8112323b6"></a><!-- doxytag: member="Ogre::SceneManager::ShadowCasterSceneQueryListener::mFarDistSquared" ref="50790e5cf103d4fe074336f8112323b6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1SceneManager_1_1ShadowCasterSceneQueryListener.html#50790e5cf103d4fe074336f8112323b6">Ogre::SceneManager::ShadowCasterSceneQueryListener::mFarDistSquared</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00697">697</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:04 2008
</p>
</body>
</html>
